package com.fjhx.service.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.check.CheckInfo;
import com.fjhx.params.check.CheckInfoVo;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-23
 */
public interface CheckInfoService extends BaseService<CheckInfo> {

    Page<Map<String, Object>> getPage(Condition condition);

    void add(CheckInfoVo checkInfoVo);

    void edit(CheckInfoVo checkInfoVo);

    void delete(CheckInfoVo checkInfoVo);

}
